<%@ Page Language="C#" 
    MasterPageFile="~/Resources/MasterPages/Application.Master" 
    CodeBehind="ConfigurationFile.aspx.cs" 
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.Configuration.ConfigurationFile"
    Title="Configuration File" %>

<asp:Content ContentPlaceHolderID="AdditionalHeadContent" runat="server" ID="Head">

</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">

    <h1><%= HttpUtility.HtmlEncode(Title) %></h1>
    
    <bm:BuildMasterStyledTable runat="server" ID="tblOverview">
        <asp:TableHeaderRow runat="server">
            <asp:TableHeaderCell runat="server" ColumnSpan="2">Configuration File Details</asp:TableHeaderCell>
        </asp:TableHeaderRow>
    </bm:BuildMasterStyledTable>

   
    <bm:BuildMasterStyledTable runat="server" ID="tblDeploymentHistory">
        <asp:TableHeaderRow>
            <asp:TableHeaderCell>Recent Deployments</asp:TableHeaderCell>
        </asp:TableHeaderRow>
    </bm:BuildMasterStyledTable>    

    <bm:BuildMasterStyledTable runat="server" ID="tblFileHistory">
        <asp:TableHeaderRow>
            <asp:TableHeaderCell ColumnSpan="2">Recent Changes</asp:TableHeaderCell>
        </asp:TableHeaderRow>
    </bm:BuildMasterStyledTable>

    
    <bm:InfoBox runat="server" ID="ctlDelete" BoxType="Warning">
        If this configuration file is no longer needed, it may be deleted. Once deleted,
        the file may be undeleted later.
        <div class="action-button-container">
        <bm:HyperLinkButton runat="server"
            ID="lnkDelete"
            Text="Delete Configuration File" />
        </div>
    </bm:InfoBox>    
    
    <bm:InfoBox runat="server" ID="phInactive" BoxType="Error">
        This configuration file is currently deleted.
        <div class="action-button-container">
        <bm:HyperLinkButton runat="server"
            ID="hlReActivate"
            Text="Undelete Configuration File" />
        </div>
    </bm:InfoBox>    

    <div runat="server" id="ctlRecipes"></div>

</asp:Content>
